net.sf.jasperreports.components.barbecue

## Class BarcodeInfo

- java.lang.Object
- - net.sf.jasperreports.components.barbecue.BarcodeInfo

-     public class BarcodeInfo
      extends java.lang.Object

  Version:
    $Id: BarcodeInfo.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplicationIdentifier()`
    `java.lang.Integer` | `getBarHeight()`
    `java.lang.Integer` | `getBarWidth()`
    `java.lang.String` | `getCode()`
    `boolean` | `getRequiresChecksum()`
    `java.lang.String` | `getType()`
    `boolean` | `isDrawText()`
    `void` | `setApplicationIdentifier(java.lang.String applicationIdentifier)`
    `void` | `setBarHeight(java.lang.Integer barHeight)`
    `void` | `setBarWidth(java.lang.Integer barWidth)`
    `void` | `setCode(java.lang.String code)`
    `void` | `setDrawText(boolean drawText)`
    `void` | `setRequiresChecksum(boolean requiresChecksum)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarcodeInfo

          public BarcodeInfo()

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

    - #### setCode

          public void setCode(java.lang.String code)

    - #### isDrawText

          public boolean isDrawText()

    - #### setDrawText

          public void setDrawText(boolean drawText)

    - #### getBarWidth

          public java.lang.Integer getBarWidth()

    - #### setBarWidth

          public void setBarWidth(java.lang.Integer barWidth)

    - #### getBarHeight

          public java.lang.Integer getBarHeight()

    - #### setBarHeight

          public void setBarHeight(java.lang.Integer barHeight)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### getRequiresChecksum

          public boolean getRequiresChecksum()

    - #### setRequiresChecksum

          public void setRequiresChecksum(boolean requiresChecksum)

    - #### getApplicationIdentifier

          public java.lang.String getApplicationIdentifier()

    - #### setApplicationIdentifier

          public void setApplicationIdentifier(java.lang.String applicationIdentifier)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com